# `SQLiteConnection`

The SQLiteConnection class is accessible via the `sqlobject.sqlite.sqliteconnection` module.

## Attributes

#### a `supportTransactions`

    True

#### a `schemes`

    ['sqlite']

#### a `dbName`

    'sqlite'

## Methods

#### f `__init__(self, filename, autoCommit=1, **kw)` ...

#### f `oldUri(self)` ...

#### f `uri(self)` ...

#### f `getConnection(self)` ...

#### f `releaseConnection(self, conn, explicit=False)` ...

#### f `makeMemoryConnection(self)` ...

#### f `makeConnection(self)` ...

#### f `close(self)` ...

#### f `createColumn(self, soClass, col)` ...

#### f `createReferenceConstraint(self, soClass, col)` ...

#### f `createIDColumn(self, soClass)` ...

#### f `joinSQLType(self, join)` ...

#### f `tableExists(self, tableName)` ...

#### f `createIndexSQL(self, soClass, index)` ...

#### f `addColumn(self, tableName, column)` ...

#### f `delColumn(self, sqlmeta, column)` ...

#### f `recreateTableWithoutColumn(self, sqlmeta, column)` ...

#### f `columnsFromSchema(self, tableName, soClass)` ...

#### f `guessClass(self, t)` ...

#### f `listTables(self)` ...

#### f `listDatabases(self)` ...

#### f `createEmptyDatabase(self)` ...

#### f `dropDatabase(self)` ...

#### f `__del__(self)` ...

See the source for more information.